Skip to main content

Get product details

GET https://pos.paysera.com/eapi/v1/products/{id}

Retrieve detailed information about a specific product, including variants for variable-type products.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idintegerβœ“The product ID

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Product not found

This error indicates the requested resource was not found.

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

GET https://pos.paysera.com/eapi/v1/products/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN

Response​

{
"id": 789,
"sku": "MED-EKO-500",
"type": "simple",
"active": true,
"title": {
"lt": "Produkto pavadinimas",
"en": "Product title"
},
"measureUnit": "unit",
"taxId": 1,
"price": {
"regular": "9.99",
"special": "7.99",
"cost": "4.50"
},
"stock": {
"quantity": "10",
"manageStock": true,
"useWarehouses": false
},
"categoryIds": [
1,
2
],
"productCodes": [
{
"type": "ean",
"code": "1234567890123"
}
],
"media": [
{
"url": "https://example.com/images/product.jpg",
"sort": 0
}
],
"sellChannels": {
"pos": true,
"api": true
},
"isPriceDynamic": false,
"isTitleDynamic": false,
"isShownInPinPadView": false,
"isShownInTouchView": true,
"createdAt": "2026-04-20T12:00:00Z",
"updatedAt": "2026-04-20T12:00:00Z",
"attributes": {
"5": [
10,
11
]
},
"optionGroups": [
{
"id": 5,
"title": {
"lt": "Dydis",
"en": "Size"
},
"values": [
{
"id": 10,
"title": {
"lt": "MaΕΎas",
"en": "Small"
}
}
]
}
],
"variants": [
{
"id": 7890,
"sku": "MED-EKO-500-RED-S",
"optionValueIds": [
10,
20
],
"active": true,
"price": {
"regular": "9.99",
"special": "7.99",
"cost": "4.50"
},
"stock": {
"quantity": "5"
},
"productCodes": [
{
"type": "ean",
"code": "1234567890123"
}
],
"media": [
{
"url": "https://example.com/images/product.jpg",
"sort": 0
}
]
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Product details retrieved successfully
{
"id": 789,
"sku": "MED-EKO-500",
"type": "simple",
"active": true,
"title": {
"lt": "Produkto pavadinimas",
"en": "Product title"
},
"measureUnit": "unit",
"taxId": 1,
"price": {
"regular": "9.99",
"special": "7.99",
"cost": "4.50"
},
"stock": {
"quantity": "10",
"manageStock": true,
"useWarehouses": false
},
"categoryIds": [
1,
2
],
"productCodes": [
{
"type": "ean",
"code": "1234567890123"
}
],
"media": [
{
"url": "https://example.com/images/product.jpg",
"sort": 0
}
],
"sellChannels": {
"pos": true,
"api": true
},
"isPriceDynamic": false,
"isTitleDynamic": false,
"isShownInPinPadView": false,
"isShownInTouchView": true,
"createdAt": "2026-04-20T12:00:00Z",
"updatedAt": "2026-04-20T12:00:00Z",
"attributes": {
"5": [
10,
11
]
},
"optionGroups": [
{
"id": 5,
"title": {
"lt": "Dydis",
"en": "Size"
},
"values": [
{
"id": 10,
"title": {
"lt": "MaΕΎas",
"en": "Small"
}
}
]
}
],
"variants": [
{
"id": 7890,
"sku": "MED-EKO-500-RED-S",
"optionValueIds": [
10,
20
],
"active": true,
"price": {
"regular": "9.99",
"special": "7.99",
"cost": "4.50"
},
"stock": {
"quantity": "5"
},
"productCodes": [
{
"type": "ean",
"code": "1234567890123"
}
],
"media": [
{
"url": "https://example.com/images/product.jpg",
"sort": 0
}
]
}
]
}